export declare type MutexRunner = new (id: string) => {
    id: string;
    /** Runs the mutex callback in case it's not locked */
    run: (resolveCallback: () => void, rejectCallback?: () => void) => void;
    /** Locks the mutex instance */
    lock: () => void;
    /** Unlocks the mutex instance */
    unlock: () => void;
    /** Shows whether the mutex instance is locked or not */
    isLocked: () => boolean;
};
export declare const createMutex: (context: string[]) => MutexRunner;
